%define _aclocaldir %_datadir/aclocal
Name: libchipcard
Version: 0.9.1
Release: alt0.1.1

Summary: A library for easy access to smart cards (chipcards)

License: LGPL
Group: System/Libraries
Url: http://www.libchipcard.de/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sourceforge.net/libchipcard/%name-%version.tar.bz2
Source1: %name.init

Patch0: %name-etc.patch
Patch1: %name-am18.patch

# manually removed: gcc-g77 gnustep-base libg2c-devel libobjc-lf2 sope-appserver
# Automatically added by buildreq on Sun Dec 18 2005
BuildRequires: gcc-c++ libpcsclite-devel libssl-devel libstdc++-devel

%description
LibChipCard allows easy access to smart cards. It provides basic
access to memory and processor cards and has special support for
German medical cards, German "Geldkarten" and HBCI (homebanking) cards
(both type 0 and type 1). It accesses the readers via CTAPI or PC/SC
interfaces and has successfully been tested with Towitoko, Kobil and
Reiner-SCT readers.

%package devel
Summary: Header files for LibChipCard
Group: Development/Other
Requires: %name = %version

%description devel
This package contains libchipcard-config and header files for writing
programs using LibChipCard.

%package tools
Summary: Terminal tools and daemons for LibChipCard
License: GPL
Group: Communications
Requires: %name = %version

%description tools
This package contains the terminal tools and daemons for LibChipCard.
The most important daemon here is chipcardd which is needed to access
local card readers.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%__libtoolize
%__aclocal
%__autoconf
%__automake
%configure \
	--with-pid-dir=/var/run \
	--disable-static

%__make

%install
install -d %buildroot%_initdir

%__make install \
	DESTDIR=%buildroot

install %SOURCE1 %buildroot%_initdir/chipcardd
install example/chipcardc.conf %buildroot%_sysconfdir
install example/chipcardd.conf %buildroot%_sysconfdir

#rm -f doc/html/{Makefile*,pics/Makefile*}
rm -rf %buildroot%_datadir/locale/de

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post tools
%post_service chipcardd

%preun tools
%preun_service chipcardd

%files
# COPYING contains only summary, note *GPL texts themselves
%doc AUTHORS COPYING ChangeLog FAQ README* THANKS TODO
%attr(755,root,root) %_libdir/libchipcard.so.*
%_datadir/libchipcard
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/chipcardc.conf
%_mandir/man5/libchipcard.conf.5*
%_mandir/man5/chipcardc.conf.5*

%files devel
%doc doc/*.txt doc/html/*
%attr(755,root,root) %_bindir/libchipcard-config
%attr(755,root,root) %_libdir/libchipcard.so
#%_libdir/libchipcard.la
%_includedir/chameleon
%_includedir/chipcard
%_includedir/chipcard.h
%_includedir/ctversion.h
%_aclocaldir/libchipcard.m4
%_mandir/man1/libchipcard-config.1*

%files tools -f %name.lang
%attr(755,root,root) %_bindir/cardcommander
%attr(755,root,root) %_bindir/ctfstool
%attr(755,root,root) %_bindir/geldkarte
%attr(755,root,root) %_bindir/hbcicard
%attr(755,root,root) %_bindir/memcard
%attr(755,root,root) %_bindir/readertest
%attr(755,root,root) %_sbindir/chipcardd
%attr(755,root,root) %_sbindir/kvkd
%attr(754,root,root) /etc/rc.d/init.d/chipcardd
%config(noreplace) %verify(not md5 mtime size) %_sysconfdir/chipcardd.conf
%_mandir/man1/ctfstool.1*
%_mandir/man1/geldkarte.1*
%_mandir/man1/hbcicard.1*
%_mandir/man1/chipcardd.1*
%_mandir/man1/memcard.1*
%_mandir/man1/kvkd.1*
%_mandir/man1/readertest.1*
%_mandir/man5/chipcardd.conf.5*


%changelog
* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.1-alt0.1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Sun Dec 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt0.1
- initial build for ALT Linux Sisyphus (spec from PLD)
